Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Interface ObjectClassOps

All Superinterfaces
  Serializable

All Known Subinterfaces:
  ExtendedObjectClassOps

Deprecated As of 10.2, replaced by `ObjectClassOpsV1`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public interface ObjectClassOps

extends Serializable

This interface represents a service for ObjectClass CRUD operations. It is used to manage ObjectClasses as well as their PropertyDefinitions and PropertyChoices. Each ObjectClass may contain 0 to many PropertyDefinitions and each PropertyDefinition may contain 0 to many PropertyChoices.

All ObjectClasses, PropertyDefinitions and PropertyChoices are uniquely identified through their ID. The ID must contain the uid, unless the operation is a create then the uid should be null.

This interface does not support inheritance, or nested ObjectClasses. If the underlying repository does, then all super PropertyDefinitions will be retrieved with the specified ObjectClass.

The repository implementation may have more specific validation rules than that defined above. If a repository considers an attempted operation invalid, it will throw a RepositoryException.

For additional rules see com.bea.content.PropertyDefinition.

See Also
  `ExtendedObjectClassOps`

Method Summary
`ObjectClass` | `createObjectClass(ObjectClass objectClass)` Deprecated Creates the given ObjectClass.
`PropertyDefinition` | `createPropertyDefinition(ID objectClassId, PropertyDefinition propertyDefinition)` Deprecated Adds the given propertyDefinition to the ObjectClass with the given objectClassId.
`void` | `deleteObjectClass(ID objectClassId)` Deprecated Deletes the ObjectClass with the given objectClassId.
`void` | `deletePropertyDefinition(ID propertyDefinitionId)` Deprecated Deletes the given propertyDefinition.
`ObjectClass` | `getObjectClass(ID objectClassId)` Deprecated Gets the ObjectClass with the given objectClassId.
`ObjectClass[]` | `getObjectClasses()` Deprecated Gets all of the ObjectClasses available in the content repository.
`InputStream` | `getPropertyChoiceBytes(ID propertyChoiceId)` Deprecated Gets the bytes for the given PropertyChoice.
`PropertyDefinition` | `getPropertyDefinition(ID propertyDefinitionId)` Deprecated Gets the PropertyDefinition for the given id.
`PropertyDefinition[]` | `getPropertyDefinitions(ID objectClassId)` Deprecated Gets all PropertyDefinitions for the given ObjectClass.
`ObjectClass` | `renameObjectClass(ID objectClassId, String newName)` Deprecated Renames the given ObjectClass.
`PropertyDefinition` | `updatePropertyDefinition(PropertyDefinition propertyDefinition)` Deprecated Updates the given propertyDefinition.

Method Detail

### createObjectClass

    ObjectClass createObjectClass(ObjectClass objectClass)
                                  throws AuthorizationException,
                                         ObjectClassExistsException,
                                         RepositoryException

  Deprecated
  Creates the given ObjectClass. If the ObjectClass contains any PropertyDefinitions then they are created also.

  Parameters
    `objectClass` - - the ObjectClass to create, along with any PropertyDefinitions to create also.
  Returns
    ObjectClass - the new ObjectClass.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `ObjectClassExistsException` - - if the name of the ObjectClass is already in use.
    `RepositoryException` - - if a validation error occurs.

### renameObjectClass

    ObjectClass renameObjectClass(ID objectClassId,
                                  String newName)
                                  throws ObjectClassExistsException,
                                         NoSuchObjectClassException,
                                         RepositoryException

  Deprecated
  Renames the given ObjectClass.

  Parameters
    `objectClassId` - - the ID of the objectClass to rename.
    `newName` - - the new name of the ObjectClass.
  Returns
    ObjectClass - the updated ObjectClass.
  Throws
    `ObjectClassExistsException` - - if the name of the ObjectClass is already in use.
    `NoSuchObjectClassException` - - if the objectClass to rename doesn't exist.
    `RepositoryException` - - if a validation error occurs.

### getObjectClass

    ObjectClass getObjectClass(ID objectClassId)
                               throws AuthorizationException,
                                      NoSuchObjectClassException

  Deprecated
  Gets the ObjectClass with the given objectClassId.

  Parameters
    `objectClassId` - - the ID of the ObjectClass to get. The ID must contain the repositoryName.
  Returns
    ObjectClass - the ObjectClass with the given id.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchObjectClassException` - - if the ObjectClass to get does not exist.

### deleteObjectClass

    void deleteObjectClass(ID objectClassId)
                           throws AuthorizationException,
                                  NoSuchObjectClassException,
                                  RepositoryException

  Deprecated
  Deletes the ObjectClass with the given objectClassId. All of the ObjectClass PropertyDefinitions, their PropertyChocies are also deleted if present.

  Parameters
    `objectClassId` - - the ID of the ObjectClass to delete.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchObjectClassException` - - if the ObjectClass to delete does not exist.
    `RepositoryException` - - if a validation error occurred.

### getObjectClasses

    ObjectClass[] getObjectClasses()
                                   throws AuthorizationException

  Deprecated
  Gets all of the ObjectClasses available in the content repository.

  Returns
    ObjectClass[] - an array of all ObjectClasses, an empty array if none are currently defined.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.

### getPropertyDefinition

    PropertyDefinition getPropertyDefinition(ID propertyDefinitionId)
                                             throws AuthorizationException,
                                                    NoSuchPropertyDefinitionException

  Deprecated
  Gets the PropertyDefinition for the given id.

  Parameters
    `propertyDefinitionId` - - the ID the PropertyDefinition to get.
  Returns
    PropertyDefinition - the PropertyDefinition whose id matches propertyDefinitionId.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchPropertyDefinitionException` - - if the PropertyDefinition does not exist.

### getPropertyDefinitions

    PropertyDefinition[] getPropertyDefinitions(ID objectClassId)
                                                throws AuthorizationException,
                                                       NoSuchObjectClassException

  Deprecated
  Gets all PropertyDefinitions for the given ObjectClass.

  Parameters
    `objectClassId` - - the ID for the ObjectClass to get its PropertyDefinitions.
  Returns
    PropertyDefinition[] - the array of PropertyDefinitions for the given ObjectClass, of an empty array of none are currently defined.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchObjectClassException` - - if the ObjectClass does not exist.

### createPropertyDefinition

    PropertyDefinition createPropertyDefinition(ID objectClassId,
                                                PropertyDefinition propertyDefinition)
                                                throws AuthorizationException,
                                                       NoSuchObjectClassException,
                                                       RepositoryException

  Deprecated
  Adds the given propertyDefinition to the ObjectClass with the given objectClassId. If isPrimary is true then this PropertyDefinition will be set to the primary PropertyDefinition for the ObjectClass. If there is already a primary PropertyDefinition, then it will be unset.

  Parameters
    `objectClassId` - - the id of the ObjectClass to add the PropertyDefinition to.
    `propertyDefinition` - - the propertyDefinition to create and add to the ObjectClass.
  Returns
    PropertyDefinition - the PropertyDefinition that was added to the ObjectClass.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchObjectClassException` - - if the objectClass does not exist.
    `RepositoryException` - - if a validation error occurs.

### updatePropertyDefinition

    PropertyDefinition updatePropertyDefinition(PropertyDefinition propertyDefinition)
                                                throws AuthorizationException,
                                                       NoSuchPropertyException,
                                                       RepositoryException

  Deprecated
  Updates the given propertyDefinition.

  The PropertyDefinition IDs and all of its PropertyChoices Ids should remain intact when updated. If PropertyChoices are no longer present on the PropertyDefinition, they should be deleted. If new PropertyChoices are present on the PropertyDefinition they should be added.

  If isPrimary is true then this PropertyDefinition will be set to the primary PropertyDefinition for the ObjectClass. If there is already a primary PropertyDefinition, then it will be unset.

  Parameters
    `propertyDefinition` - - the propertyDefinition to update. There can only be one primary PropertyDefinition that defines the primary content Property for a Node.
  Returns
    PropertyDefinition - the updated PropertyDefinition.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchPropertyDefinitionException` - - if the PropertyDefinition does not exist.
    `RepositoryException` - - if a validation error occurs.
    `NoSuchPropertyException`

### deletePropertyDefinition

    void deletePropertyDefinition(ID propertyDefinitionId)
                                  throws AuthorizationException,
                                         NoSuchPropertyException,
                                         RepositoryException

  Deprecated
  Deletes the given propertyDefinition.

  Parameters
    `propertyDefinitionId` - - the ID of the propertyDefinition to delete.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchPropertyDefinitionException` - - if the PropertyDefinition does not exist.
    `RepositoryException` - - if a validation error occurs.
    `NoSuchPropertyException`

### getPropertyChoiceBytes

    InputStream getPropertyChoiceBytes(ID propertyChoiceId)
                                       throws AuthorizationException,
                                              NoSuchPropertyChoiceException

  Deprecated
  Gets the bytes for the given PropertyChoice.

  Parameters
    `propertyChoiceId` - - the ID of the propertyChoice to get the BinaryValue for.
  Returns
    InputStream - the binary data for the BinaryChoice.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `NoSuchPropertyChoiceException` - - if the PropertyChoice does not exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.